ToAPIsToAPIs
Grok Video

Grok Video Remix

Edit and modify generated Grok videos

POST
/v1/videos/{video_id}/remix

중국 본토 사용자 안내: 중국 본토 사용자는 https://toapis.cn 를 API 엔드포인트(Base URL)로 사용해 주세요. 본 문서의 예시에서 https://toapis.com 을 https://toapis.cn 로 바꿔 주세요.

  • Grok Video remix feature
  • Create variations based on existing videos
  • Async task management, query results via task ID

Path 파라미터

video_idstring경로필수

Original video task ID

This is the task ID returned from a previous video generation request

Authorizations

Authorizationstring헤더필수

All API requests require Bearer Token authentication

Get API Key: Visit the API Key Management Page to obtain your API Key

Add to request headers:

Authorization: Bearer YOUR_API_KEY

Body

modelstring본문필수기본값: grok-video-1.0

Video remix model name

Example: "grok-video-1.0"

promptstring본문필수

Remix instruction description

sizestring본문

Video size

aspect_ratiostring본문

Video aspect ratio

Supported formats:

  • 16:9 - Landscape
  • 9:16 - Portrait

응답

idstring

Unique task identifier for querying task status

objectstring

Object type, always generation.task

modelstring

모델 name used

statusstring

Task status

  • queued - Waiting to be processed
  • in_progress - Processing
  • completed - Successfully completed
  • failed - Failed
progressinteger

Task progress percentage (0-100)

created_atinteger

Task creation timestamp (Unix timestamp)

metadataobject

Task metadata

요청 예시

curl --request POST \
  --url https://toapis.com/v1/videos/video_abc123def456/remix \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "model": "grok-video-1.0",
    "prompt": "Add a puppy playing in the scene",
    "aspect_ratio": "16:9"
  }'
import requests

video_id = "video_abc123def456"

response = requests.post(
    f"https://toapis.com/v1/videos/{video_id}/remix",
    headers={
        "Authorization": "Bearer your-ToAPIs-key",
        "Content-Type": "application/json"
    },
    json={
        "model": "grok-video-1.0",
        "prompt": "Add a puppy playing in the scene",
        "aspect_ratio": "16:9"
    }
)

task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")
const videoId = 'video_abc123def456';

const response = await fetch(`https://toapis.com/v1/videos/${videoId}/remix`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer your-ToAPIs-key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    model: 'grok-video-1.0',
    prompt: 'Add a puppy playing in the scene',
    aspect_ratio: '16:9'
  })
});

const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);

응답 예시

{
  "id": "video_remix_abc123",
  "object": "generation.task",
  "model": "grok-video-1.0",
  "status": "queued",
  "progress": 0,
  "created_at": 1768380224,
  "metadata": {}
}